# Global properties
command=/usr/lib/i3blocks/$BLOCK_NAME
separator_block_width=15
markup=pango

# Volume indicator
#
# The first parameter sets the step (and units to display)
# The second parameter overrides the mixer selection
# See the script for details.

# Guess the weather hourly
[weather]
command=curl -Ss 'https://wttr.in/munich?0&T&Q' | cut -c 16- | head -2 | xargs echo
interval=3600

[pacman]
label=📦
command=$HOME/.scripts/i3/i3blocks/pacman-upgradable.sh
interval=60

[volume]
label=🎵
command=$HOME/.scripts/i3/i3blocks/i3volume.sh
interval=2


# Mem %
[memory]
label=mem
interval=30
command=$HOME/.scripts/i3/i3blocks/i3mem.sh

# CPU %
[cpu]
label=cpu
interval=5
command=$HOME/.scripts/i3/i3blocks/i3cpu.sh

# Network interface monitoring
[ip]
label=IP:
color=#19c682
interval=30
separator=true
command=ip --brief a | grep wlp | awk '{print " " $3}'


# Battery indicator
[battery]
label=bat
interval=30
command=$HOME/.scripts/i3/i3blocks/i3bat.sh



# Date Time
[time]
command=date '+%d.%m  %H:%M  '
interval=5

